package mainbundle;

import java.io.InputStream;
import java.util.Properties;

import org.omg.CORBA.portable.Streamable;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	private static BundleContext context;

	static BundleContext getContext() {
		return context;
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext bundleContext) throws Exception {
		Activator.context = bundleContext;

 
		InputStream is = Activator.class.getResourceAsStream("/META-INF/my-config.properties");
		Properties prop = new Properties();
	    if(is == null){
	    	
	    	is =  Activator.class.getResourceAsStream("/META-INF/default-config.properties");
	    }
		prop.load(is);
		
		System.out.println("name="+prop.getProperty("name"));
	 
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext bundleContext) throws Exception {
		Activator.context = null;
	}

}
